singleton Material(etk800_panoramicroof_int)
{
    mapTo = "etk800_panoramicroof_int";
    normalMap[0] = "vehicles/etk800/ucp_parts/etk800_panoramicroof_int_n.dds";
    diffuseMap[0] = "vehicles/etk800/ucp_parts/etk800_panoramicroof_int_d.dds";
    specularMap[0] = "vehicles/etk800/ucp_parts/etk800_panoramicroof_int_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk800_panoramic_under)
{
    mapTo = "etk800_panoramic_under";
    normalMap[0] = "vehicles/etk800/ucp_parts/etk800_panoramic_under_n.dds";
    diffuseMap[0] = "vehicles/etk800/ucp_parts/etk800_panoramic_under_d.dds";
    specularMap[0] = "vehicles/etk800/ucp_parts/etk800_panoramic_under_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk800_pano)
{
    mapTo = "etk800_pano";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/etk800/ucp_parts/etk800_pano_d.dds";
    opacityMap[0] = "vehicles/etk800/ucp_parts/etk800_pano_d.dds";
    diffuseMap[1] = "vehicles/etk800/ucp_parts/etk800_pano_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk800_pano_int)
{
    mapTo = "etk800_pano_int";
    diffuseMap[0] = "vehicles/etk800/ucp_parts/etk800_pano_int_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk800_pano_dmg)
{
    mapTo = "etk800_pano_dmg";
    diffuseMap[0] = "vehicles/etk800/ucp_parts/etk800_pano_dmg_d.dds";
    opacityMap[0] = "vehicles/etk800/ucp_parts/etk800_pano_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/etk800/ucp_parts/etk800_pano_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk800_pano_int_dmg)
{
    mapTo = "etk800_pano_int_dmg";
    diffuseMap[0] = "vehicles/etk800/ucp_parts/etk800_pano_int_dmg_d.dds";
    opacityMap[0] = "vehicles/etk800/ucp_parts/etk800_pano_int_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/etk800/ucp_parts/etk800_pano_int_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};